Bug 1469995 - [RFE][Veritas] New Package: puppet-veritas_hyperscale
[RFE][Veritas] New Package: puppet-veritas_hyperscale
Status: CLOSED NEXTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Linux
unspecified Severity unspecified
: ---
: trunk
Assigned To: Alfredo Moralejo
hguemar
:
Depends On:
Blocks: 1389435 veritasosp12features 1410946 RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-07-12 04:55 EDT by Dnyaneshwar
Modified: 2017-08-16 01:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 18:58:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Dnyaneshwar 2017-07-12 04:55:20 EDT
Description of problem:
[RFE] [Veritas OSP12] Integration of Veritas HyperScale deployment with TripleO
Comment 1 Dnyaneshwar 2017-07-12 04:59:47 EDT
(In reply to Dnyaneshwar from comment #0)
> Description of problem:
> [RFE] [Veritas OSP12] Integration of Veritas HyperScale deployment with
> TripleO

Github location: https://github.com/vtas-hyperscale-ci/puppet-veritas_hyperscale.git
Comment 2 Dnyaneshwar 2017-07-12 05:00:15 EDT
Github location: https://github.com/vtas-hyperscale-ci/puppet-veritas_hyperscale.git
Comment 3 Alfredo Moralejo 2017-07-12 06:14:31 EDT
Output of licensecheck -r:

./Gemfile: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./metadata.json: *No copyright* UNKNOWN
./manifests/compute_pkg_inst.pp: *No copyright* UNKNOWN
./manifests/compute_service_start.pp: *No copyright* UNKNOWN
./manifests/controller_pkg_inst.pp: UNKNOWN
./manifests/controller_service_start.pp: UNKNOWN
./manifests/datanode_pkg_inst.pp: *No copyright* UNKNOWN
./manifests/datanode_service_start.pp: *No copyright* UNKNOWN
./manifests/hs_flavors.pp: UNKNOWN
./manifests/hs_keystone.pp: UNKNOWN
./manifests/hs_rabbitmq.pp: UNKNOWN
./manifests/hs_volume_type.pp: UNKNOWN
./manifests/init.pp: UNKNOWN
./spec/spec_helper.rb: *No copyright* UNKNOWN
./tests/init.pp: *No copyright* UNKNOWN
./files/scripts/hs_flavors.sh: UNKNOWN
./files/scripts/hs_keystone.sh: UNKNOWN
./files/scripts/hs_rabbitmq.sh: UNKNOWN
./files/scripts/hs_volume_type.sh: UNKNOWN
./manifests/db/mysql.pp: *No copyright* UNKNOWN
./spec/classes/init_spec.rb: *No copyright* UNKNOWN
./files/scripts/db/01_HyperScale.sql: UNKNOWN
./files/scripts/db/02_HyperScaleStatsSchema.sql: *No copyright* UNKNOWN
./files/scripts/db/03_HyperScaleWorkflow.sql: *No copyright* UNKNOWN
./files/scripts/db/51_HyperScaleAlertsDescription.sql: *No copyright* UNKNOWN


Licenses looks a valid ASL v2.0.
Comment 4 Alfredo Moralejo 2017-07-12 06:42:14 EDT
Some things that should be improved:

- in metadata.json, version is 0.1.0 but there is no git tag pushed. You should push git tag 0.1.0.

- Some TODO comments in metadata.json should be filled.

- There are no tests for created classes in spec.

- In my opinion, required packages by hyperscale services should be dependencies in RPM packages, not being installed by puppet modules. Looking at https://github.com/vtas-hyperscale-ci/puppet-veritas_hyperscale/blob/master/manifests/datanode_pkg_inst.pp it seems you are installing things like python-amqp, python-kombu, etc... I think those should be RPM dependencies not installed by puppet.

Anyway, i'm not puppet expert, i'll ask puppet core team to take a look.
Comment 5 Alfredo Moralejo 2017-07-12 07:03:29 EDT
Emilien, could you take a look to the puppet module to evaluate inclusion in RDO?, code in https://github.com/vtas-hyperscale-ci/puppet-veritas_hyperscale.git
Comment 6 Emilien Macchi 2017-07-12 11:13:34 EDT
Alfredo, we can include this module in RDO from now, I'm working with Veritas on this work, and the module is good to go. Thanks!
Comment 7 Alfredo Moralejo 2017-07-13 11:36:58 EDT
Project is created in review.rdoproject.org, can you send spec file for review as described in https://www.rdoproject.org/documentation/add-packages/#how-to-add-a-new-puppet-module-to-rdo-trunk
Comment 8 Dnyaneshwar 2017-07-14 10:00:45 EDT
initial spec review.r.o https://review.rdoproject.org/r/#/c/7645/
Comment 10 Alfredo Moralejo 2017-07-14 13:36:50 EDT
official review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 24
     files have unknown license. Detailed output of licensecheck in
     /tmp/borrar3/puppet-veritas_hyperscale/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-puppet/modules,
     /usr/share/openstack-puppet
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     puppet/modules, /usr/share/openstack-puppet
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version 1.0.0
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: puppet-veritas_hyperscale-1.0.0-0.20170714142916.95dac53.el7.centos.noarch.rpm
          puppet-veritas_hyperscale-1.0.0-0.20170714142916.95dac53.el7.centos.src.rpm
puppet-veritas_hyperscale.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-veritas_hyperscale.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-veritas_hyperscale.noarch: W: spelling-error Summary(en_US) Veritas -> Veritable
puppet-veritas_hyperscale.noarch: W: summary-ended-with-dot C Veritas HyperScale installer.
puppet-veritas_hyperscale.noarch: E: no-changelogname-tag
puppet-veritas_hyperscale.noarch: W: no-documentation
puppet-veritas_hyperscale.src: W: spelling-error Summary(en_US) Veritas -> Veritable
puppet-veritas_hyperscale.src: W: summary-ended-with-dot C Veritas HyperScale installer.
puppet-veritas_hyperscale.src: E: no-changelogname-tag
puppet-veritas_hyperscale.src: W: invalid-url Source0: 1.0.0-0.20170714142916.95dac53.tar.gz
2 packages and 0 specfiles checked; 4 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
puppet-veritas_hyperscale.noarch: E: explicit-lib-dependency puppet-openstacklib
puppet-veritas_hyperscale.noarch: E: explicit-lib-dependency puppet-stdlib
puppet-veritas_hyperscale.noarch: W: summary-ended-with-dot C Veritas HyperScale installer.
puppet-veritas_hyperscale.noarch: E: no-changelogname-tag
puppet-veritas_hyperscale.noarch: W: no-documentation
1 packages and 0 specfiles checked; 3 errors, 2 warnings.



Requires
--------
puppet-veritas_hyperscale (rpmlib, GLIBC filtered):
    /bin/bash
    puppet
    puppet-cinder
    puppet-keystone
    puppet-nova
    puppet-openstacklib
    puppet-rabbitmq
    puppet-stdlib



Provides
--------
puppet-veritas_hyperscale:
    puppet-veritas_hyperscale



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn puppet-veritas_hyperscale-1.0.0-0.20170714142916.95dac53.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


* The LICENSE file issue is caused by the spec file being automatically generated, it is accepted as is.

* explicit-lib-dependency ERRORs are false positives in rpmlint.

* no-changelogname-tag is because it's DLRN spec which doesn't has changelog.

The package is APPROVED.
Comment 11 Dnyaneshwar 2017-08-16 01:09:50 EDT
Just for reference, Review request for branching (pike/stable) is under review https://review.rdoproject.org/r/#/c/8155/ .

Note You need to log in before you can comment on or make changes to this bug.